import * as React from "react";
export interface UserSetHandleAuthProps {
    headerComponent?: JSX.Element;
    channelID: string;
    onSetHandleComplete?(): void;
}
export declare type UserSetHandleError = "unknown" | undefined;
export interface UserSetHandleAuthState {
    handle: string;
    errorMessage: UserSetHandleError;
    hasBlurred: boolean;
    isValid: boolean;
}
export declare class UserSetHandle extends React.Component<UserSetHandleAuthProps, UserSetHandleAuthState> {
    constructor(props: UserSetHandleAuthProps);
    renderHandleInput(): JSX.Element;
    renderAuthError(): JSX.Element;
    render(): JSX.Element;
    private handleSubmit;
}
